Subject: Re: bug#1174: 23.0.60; Some UTF-8 mails displaying wrongly in Emacs 23

From: Frank Schmitt <[email-masked]>
Date: Thu, 16 Oct 2008 22:05:32 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Frank Schmitt <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Thu, 16 Oct 2008 20:00:07 +0200
>> 
>> > No, Andreas means what sequence of 8-bit bytes was used to encode the
>> > character in the original message?  A utf-8 encoding uses several
>> > bytes to encode a single character; can you please show those bytes
>> > from the body of the original mail message?
>> 
>> But how should I do this?
>
> Do you still have the original mail text, or can access it?  If so,
> something like "od -c" (outside Emacs) on that text or
> "M-x find-file-literally" inside Emacs will show you the original
> encoding of that character.

I opened the mail again in Gnus, saved it and saved with no-conversion
and said od -c on it. Here is the relevant part

0001100   i   l   i   e   n   .       I   c   h       w 374   s   s   t
0001120   e       a   u   c   h       n   i   c   h   t   ,       w   i

when I save the same buffer from Emacs 22 I get something different

0001100  \n   B   r   a   s   i   l   i   e   n   .       I   c   h    
0001120   w 303 274   s   s   t   e       a   u   c   h       n   i   c
0001140   h   t   ,       w   i   e       w   i   r       a   u   s    

so I went to my mail server and did it on the raw message there

0012240      \n   B   r   a   s   i   l   i   e   n   .       I   c   h
0012260       w 303 274   s   s   t   e       a   u   c   h       n   i
0012300   c   h   t   ,       w   i   e       w   i   r       a   u   s

so I guess the last two are correct.

-- 
Have you ever considered how much text can fit in eighty columns?  Given that a
signature typically contains up to four lines of text, this space allows you to
attach a tremendous amount of valuable information to your messages.  Seize the
opportunity and don't waste your signature on bullshit that nobody cares about.